package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.WdOpclose;
import lombok.Data;

import java.io.Serializable;

@Data
public class WdOpcloseVo implements Serializable {
    private String addrCode;

    private String addrName;

    private Integer openCount;

    private Integer closeCount;

    public WdOpcloseVo(){}

    public WdOpcloseVo(WdOpclose wdOpclose){
        this.addrCode = wdOpclose.getAddrCode();
        this.openCount = wdOpclose.getOpenCount();
        this.closeCount = wdOpclose.getCloseCount();
    }

    public WdOpcloseVo(String addrCode, WdOpclose wdOpclose){
        this.addrCode = addrCode;
        this.openCount = wdOpclose.getOpenCount();
        this.closeCount = wdOpclose.getCloseCount();
    }
}
